"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.authenticate = authenticate;
exports.init = init;
exports.liveness = liveness;
exports.multiply = multiply;
exports.photoMatch = photoMatch;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-facetec' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const Facetec = _reactNative.NativeModules.Facetec ? _reactNative.NativeModules.Facetec : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function multiply(a, b) {
  return Facetec.multiply(a, b);
}
function init() {
  return Facetec.init();
}
function liveness() {
  return Facetec.liveness();
}
function photoMatch() {
  return Facetec.photoMatch();
}
function authenticate(externalReferenceId) {
  return Facetec.authenticate(externalReferenceId);
}
//# sourceMappingURL=index.js.map