import { NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-facetec' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const Facetec = NativeModules.Facetec ? NativeModules.Facetec : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export function multiply(a, b) {
  return Facetec.multiply(a, b);
}
export function init() {
  return Facetec.init();
}
export function liveness() {
  return Facetec.liveness();
}
export function photoMatch() {
  return Facetec.photoMatch();
}
export function authenticate(externalReferenceId) {
  return Facetec.authenticate(externalReferenceId);
}
//# sourceMappingURL=index.js.map